"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const ViewGenerator_1 = require("./decorator/mvc/ViewGenerator");
const RequestHandler_1 = require("./decorator/mvc/RequestHandler");
const Controller_1 = require("./decorator/mvc/Controller");
const ApplicationDescriptor_1 = require("./decorator/configuration/ApplicationDescriptor");
const ApplicationDescriptorProcessor_1 = require("./decorator/processor/ApplicationDescriptorProcessor");
const Configuration_1 = require("./core/model/Configuration");
const Configurator_1 = require("./decorator/configuration/Configurator");
const TemplateEngine_1 = require("./enum/TemplateEngine");
const JsonGenerator_1 = require("./decorator/mvc/JsonGenerator");
let ExampleController = class ExampleController {
    jsonGeneratorExample() {
        return {
            "jsonExample": true,
            "numberExample": 1,
            "stringExample": "string"
        };
    }
    viewGeneratorExample() {
        return "example.pug";
    }
};
__decorate([
    RequestHandler_1.RequestHandler("/json"),
    JsonGenerator_1.JsonGenerator(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Object)
], ExampleController.prototype, "jsonGeneratorExample", null);
__decorate([
    RequestHandler_1.RequestHandler("/view"),
    ViewGenerator_1.ViewGenerator(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", String)
], ExampleController.prototype, "viewGeneratorExample", null);
ExampleController = __decorate([
    Controller_1.Controller("/test")
], ExampleController);
exports.ExampleController = ExampleController;
let AutumnApplicationExample = class AutumnApplicationExample {
    configurator() {
        return new Configuration_1.Configuration(5846, [ExampleController], null, "views", TemplateEngine_1.TemplateEngine.PUG);
    }
};
__decorate([
    Configurator_1.Configurator(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Configuration_1.Configuration)
], AutumnApplicationExample.prototype, "configurator", null);
AutumnApplicationExample = __decorate([
    ApplicationDescriptor_1.ApplicationDescriptor()
], AutumnApplicationExample);
ApplicationDescriptorProcessor_1.ApplicationDescriptorProcessor.process(new AutumnApplicationExample());
//# sourceMappingURL=Main.js.map