import { Key } from "../../constant/Key";

export function Configurator() {

    return ( target: any, propertyKey: string, propertyDescriptor: PropertyDescriptor ) => {

        Reflect.defineMetadata(
            Key.METADATA_CONFIGURATION,
            Reflect.apply( propertyDescriptor.value, null, [] ),
            target
        );

    }

}